import moment from 'moment';
import { FormatHandle } from '../interfaces/FormatHandle';
import { TimeOptions } from '../interfaces/TimeOptions';

class FormatTime implements FormatHandle {
  public formatDefaultTime = {
    inputFormat: '',
    outputFormat: 'DD/MM/YYYY HH:mm:ss',
  };

  public format(value: string | number, options: TimeOptions): string | number {
    const optionsTime = { ...this.formatDefaultTime, ...options };
    const mm = optionsTime.inputFormat === 'unix' ? moment.unix(Number(value)) : moment(value, optionsTime.inputFormat);

    return optionsTime.outputFormat === 'unix' ? mm.unix() : mm.utc().format(optionsTime.outputFormat);
  }
}

export default new FormatTime();
